## ros-kinetic-cob-sound 0.7.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_sound)

find_package(catkin REQUIRED COMPONENTS actionlib actionlib_msgs cob_srvs diagnostic_msgs message_generation roscpp std_msgs std_srvs visualization_msgs)
find_package(PkgConfig REQUIRED)
pkg_check_modules(libvlc REQUIRED libvlc)

add_action_files(DIRECTORY action FILES
   Play.action
   Say.action
)

generate_messages(
  DEPENDENCIES actionlib_msgs
)

catkin_package(
  CATKIN_DEPENDS actionlib actionlib_msgs cob_srvs diagnostic_msgs message_runtime roscpp std_msgs std_srvs visualization_msgs
)

### BUILD ###
include_directories(${catkin_INCLUDE_DIRS})

add_executable(sound ros/src/sound.cpp)
add_dependencies(sound ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(sound ${catkin_LIBRARIES} ${libvlc_LIBRARIES})

### INSTALL ###
install(TARGETS sound
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

catkin_install_python(PROGRAMS ros/src/test_client.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(PROGRAMS fix_swift_for_precise.sh
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-cob-sound (0.7.5-3xenial) xenial; urgency=high

  * Merge pull request #418 <https://github.com/ipa320/cob_driver/issues/418> from fmessmer/fix_catkin_lint
    fix catkin_lint
  * fix catkin_lint
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Apr 2021 22:00:00 -0000

ros-kinetic-cob-sound (0.7.4-3xenial) xenial; urgency=high

  * Merge pull request #417 <https://github.com/ipa320/cob_driver/issues/417> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 13 Oct 2020 22:00:00 -0000

ros-kinetic-cob-sound (0.7.3-3xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-kinetic-cob-sound (0.7.2-3xenial) xenial; urgency=high

  * Merge pull request #409 <https://github.com/ipa320/cob_driver/issues/409> from LoyVanBeek/feature/python3_compatibility
    [ci_updates] pylint + Python3 compatibility
  * python3 compatibility via 2to3
  * Merge pull request #408 <https://github.com/ipa320/cob_driver/issues/408> from fmessmer/ci_updates
    [travis] ci updates
  * catkin_lint fixes
  * Contributors: Felix Messmer, Loy van Beek, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-kinetic-cob-sound (0.7.1-3xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 06 Nov 2019 23:00:00 -0000

ros-kinetic-cob-sound (0.7.0-3xenial) xenial; urgency=high

  * Merge pull request #396 <https://github.com/ipa320/cob_driver/issues/396> from HannesBachter/indigo_dev
    0.6.15
  * Contributors: Felix Messmer

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Aug 2019 22:00:00 -0000

ros-kinetic-cob-sound (0.6.15-3xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 16 Jul 2019 22:00:00 -0000

ros-kinetic-cob-sound (0.6.14-3xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 06 Jun 2019 22:00:00 -0000

ros-kinetic-cob-sound (0.6.13-3xenial) xenial; urgency=high

  * Merge pull request #382 <https://github.com/ipa320/cob_driver/issues/382> from fmessmer/install_fix_swift
    fix install tags
  * fix install tags
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 13 Mar 2019 23:00:00 -0000

ros-kinetic-cob-sound (0.6.12-3xenial) xenial; urgency=high

  * update maintainer
  * Merge pull request #376 <https://github.com/ipa320/cob_driver/issues/376> from fmessmer/bulletproof_sound
    bulletproof sound
  * bulletproof sound
  * Merge pull request #362 <https://github.com/ipa320/cob_driver/issues/362> from ipa-fmw/fix/sound_play
    [cob_sound] catch if filename is empty or invalid
  * catch if filename is empty
  * Contributors: Felix Messmer, fmessmer, ipa-fxm, msh

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-kinetic-cob-sound (0.6.11-3xenial) xenial; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #353 <https://github.com/ipa320/cob_driver/issues/353> from ipa-fxm/update_maintainer
    update maintainer
  * update maintainer
  * Merge pull request #341 <https://github.com/ipa320/cob_driver/issues/341> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Benjamin Maidel <benjamin.maidel@ipa.fraunhofer.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-kinetic-cob-sound (0.6.10-3xenial) xenial; urgency=high



 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Sun, 23 Jul 2017 22:00:00 -0000

ros-kinetic-cob-sound (0.6.9-3xenial) xenial; urgency=high

  * remove dependency to sound_play
  * fix sound test_client
  * manually fix changelog
  * Contributors: Felix Messmer, ipa-fxm

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-kinetic-cob-sound (0.6.8-3xenial) xenial; urgency=high

  * fade volume on play and between tracks
  * fix sound action namespaces
  * unify namespaces with cob_light
  * use private namespace for cob_sound parameters
  * consistently fill result for say and play
  * Contributors: Benjamin Maidel, ipa-cob4-2, ipa-fxm, msh

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-kinetic-cob-sound (0.6.7-3xenial) xenial; urgency=high



 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Fri, 01 Apr 2016 22:00:00 -0000

ros-kinetic-cob-sound (0.6.6-3xenial) xenial; urgency=high

  * fix sound dependencies
  * considered pr comments
  * removed debug logging
  * start feedback timer only if action is active
  * start action server after complete init
  * use libvlc for sound play
  * merge
  * support for other cepstral voices (e.g. german Matthias)
  * sound error with Cepstral,use alsa oss
  * missed dependencies
  * Contributors: Benjamin Maidel, cob4-2, ipa-cob4-2, ipa-fmw, ipa-nhg

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-kinetic-cob-sound (0.6.5-3xenial) xenial; urgency=high

  * fix dependencies
  * Contributors: ipa-fxm

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-kinetic-cob-sound (0.6.4-3xenial) xenial; urgency=high

  * boost revision
  * do not install headers in executable-only packages
  * explicit dependency to boost
  * alsa-oss dependency
  * fixing dependencies
  * remove obsolete autogenerated mainpage.dox files
  * remove trailing whitespaces
  * add_dependencies EXPORTED_TARGETS
  * migrate to package format 2
  * merge
  * deleted name argument and added a comment
  * update cob_sound
  * sort dependencies
  * critically review dependencies
  * play sound
  * Contributors: ipa-fxm, ipa-nhg

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-kinetic-cob-sound (0.6.3-3xenial) xenial; urgency=high

  * merge with ipa320


=== debian/control ===
Source: ros-kinetic-cob-sound
Section: misc
Priority: optional
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libvlc-dev, ros-kinetic-actionlib, ros-kinetic-actionlib-msgs, ros-kinetic-catkin, ros-kinetic-cob-srvs, ros-kinetic-diagnostic-msgs, ros-kinetic-message-generation, ros-kinetic-roscpp, ros-kinetic-std-msgs, ros-kinetic-std-srvs, ros-kinetic-visualization-msgs, vlc
Homepage: http://ros.org/wiki/cob_sound
Standards-Version: 3.9.2

Package: ros-kinetic-cob-sound
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, alsa-oss, libvlc-dev, ros-kinetic-actionlib, ros-kinetic-actionlib-msgs, ros-kinetic-cob-srvs, ros-kinetic-diagnostic-msgs, ros-kinetic-message-runtime, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-std-msgs, ros-kinetic-std-srvs, ros-kinetic-visualization-msgs, vlc
Description: This package implements a sound play module using text2wave and aplay through python.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-cob-sound//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
